Rename photos according to EXIF original date/time, and copy tags to
IPTC Description where Sigal can use them.
--- /dev/null
+#!/bin/sh
+set -eu
+
+for f in *.jpg *.JPG; do
+ echo "$f"
+ chmod 644 "$f"
+ info="$(exiv2 -Pnv "$f")"
+ # copy tags to IPTC description (sigal)
+ tags=$(echo "$info" | sed -n 's/^subject *//p' | tr '[:upper:]' '[:lower:]')
+ if [ -n "$tags" ]; then
+ exiv2 -M"add Iptc.Application2.Caption String $tags" mo "$f"
+ fi
+
+ # rename to EXIF date, if available
+ if echo "$info" | grep -q '^DateTime'; then
+ exiv2 mv "$f"
+ fi
+done